< back to index

HTTP request

GET http://wevotedeveloper.com:8000/apis/v1/sitewideElectionMetricsSyncOut (Jump to "Try It Now")

Required Parameters

Parameter name Value Description
api_key string (from post, cookie, or get (in that order)) The unique key provided to any organization using the WeVoteServer APIs

Optional Parameters

Parameter name Value Description
starting_date_as_integer integer The earliest date for the batch we are retrieving. Format: YYYYMMDD (ex/ 20200131) (Default is 3 months ago)
ending_date_as_integer integer Retrieve data through this date. Format: YYYYMMDD (ex/ 20200228) (Default is right now.)
return_csv_format boolean If set to true, return results in CSV format instead of JSON.

Response

[{
  "id": integer,
  "authenticated_visitors_total": integer,
  "candidate_count": integer,
  "candidate_count_claimed": integer, How many candidates claimed profile,
  "candidate_dislikes_count": integer, Total signed in dislikes across all candidates,
  "candidate_dislikes_count_claimed": integer, Total signed in dislikes across claimed candidates,
  "candidate_favorites_count": integer, Total signed in favorites across all candidates,
  "candidate_favorites_count_claimed": integer, Total signed in favorites across claimed candidates,
  "candidates_chosen_count": integer, Number of chosen voter/candidate pairs,
  "candidates_chosen_count_claimed": integer, Number of chosen voter/claimed-candidate pairs,
  "candidates_opposed_count": integer, Number of oppose voter/candidate pairs,
  "candidates_opposed_count_claimed": integer, Number of opposed voter/claimed-candidate pairs,
  "date_as_integer": integer, ex/ YYYYMMDD,
  "election_day_text": string, ex/ YYYY-MM-DD,
  "election_name": string, ex/ "General Election",
  "entered_full_address": integer,
  "friends_only_positions": integer,
  "friends_only_positions_with_comments": integer,
  "google_civic_election_id": integer,
  "individuals_with_friends_only_positions": integer,
  "individuals_with_positions": integer,
  "individuals_with_public_positions": integer,
  "issues_followed": integer,
  "measure_count": integer,
  "office_count": integer,
  "organization_public_positions": integer,
  "organizations_auto_followed": integer,
  "organizations_followed": integer,
  "organizations_signed_in": integer,
  "organizations_with_positions": integer,
  "public_positions": integer,
  "public_positions_with_comments": integer,
  "state_code": integer,
  "unique_voters_that_auto_followed_organizations": integer,
  "unique_voters_that_followed_organizations": integer,
  "visitors_total": integer,
  "voter_guide_entries": integer,
  "voter_guide_views": integer,
  "voter_guides_viewed": integer,
}]

Try It Now: API Variables

Allow people with Analytics Admin authority to retrieve raw election metrics information for data analysis purposes.

Parameter name Value  
starting_date_as_integer:
ending_date_as_integer:
return_csv_format: True
False

(opens in new window)